﻿/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import '~@ionic/angular/css/core.css';

/* Basic CSS for apps built with Ionic */
@import '~@ionic/angular/css/normalize.css';
@import '~@ionic/angular/css/structure.css';
@import '~@ionic/angular/css/typography.css';
@import '~@ionic/angular/css/display.css';

/* Optional CSS utils that can be commented out */
@import '~@ionic/angular/css/padding.css';
@import '~@ionic/angular/css/float-elements.css';
@import '~@ionic/angular/css/text-alignment.css';
@import '~@ionic/angular/css/text-transformation.css';
@import '~@ionic/angular/css/flex-utils.css';

/* Maps Leaflet css */
@import "~leaflet/dist/leaflet.css";

ion-item:not(.input) {
  --min-height: 80px;
}

ion-icon,
fa-icon {
  color: white;
}

ion-tab-bar,
fiv-app-bar-tab {
  fiv-icon {
    --fiv-padding-end: 0;
    --fiv-padding-start: 0;
    --fiv-icon-color: var(--ion-color-medium);
  }
  .tab.ion-activatable.active{
    fiv-icon {
      --fiv-icon-color: var(--ion-color-primary);
    }
  }
  ion-label {
    color: #999;
  }
  ion-tab-button {
    fa-icon,
    ion-label {
      color: #999 !important;
    }
    &.tab-selected {
      fa-icon,
      ion-label {
        color: #233c52 !important;
      }
    }
  }
  ion-icon,
  fa-icon {
    color: white;
    + ion-label {
      color: white;
    }
  }
}

ion-footer {
  //height: 60px;
  ion-toolbar {
    --min-height: auto;
    ion-segment-button{
      width: 200px;
      height: 40px;
    }
    ion-title {
      padding-left: 45px;
      padding-right: 45px;
    }
    fa-icon {
      color: white;
    }
  }
}

ion-toolbar {
  --background: #F0B603;
  color: white;
  ion-title {
    padding-left: 45px;
    padding-right: 45px;
  }
  ion-back-button {
    color: white;
    padding: 0 10px;
  }
}

ion-searchbar {
  .searchbar-input-container {
    height: 60px;
    .searchbar-input {
      border-radius: 30px !important;
    }
    ion-icon {
      color: #1e2023;
    }
  }
}

.my-modal {
  --width: 90%;
  --height: 90%;
  ion-icon {
    color: #1e2023;
  }
  .modal-wrapper {
    border-radius: 20px;
  }
}

hr {
  margin-top: 1rem;
  margin-bottom: 1rem;
  border: 0;
  border-top: 1px solid rgba(0, 0, 0, 0.1);
}

.d-flex {
  display: flex;
}

.error {
}

.error {
  color: #eb445a;
}

.marker{
  justify-content: center;
  align-items: center;
  display: flex;
  width: 30px;
  height: 30px;
  margin-left: 5px;
  margin-top: 5px;
  text-align: center;
  border-radius: 15px;
}


.marker-cluster-small div {
  background-color: #0092d0;
  color: #fff;
}
.marker-cluster-small div {
  background-color: rgba(226, 36, 36, 0.6);
}
.marker-cluster-medium {
  background-color: rgba(241, 211, 87, 0.6);
}
.marker-cluster-medium div {
  background-color: rgba(240, 194, 12, 0.6);
}

.marker-cluster-large {
  background-color: rgba(253, 156, 115, 0.6);
}
.marker-cluster-large div {
  background-color: rgba(241, 128, 23, 0.6);
}

pdf-viewer {
  display: flex;
  justify-content: center;
}
.d-block{
  display: block;
}

.d-none{
  display: none;
}
.ion-no-border{
  --border-style: none;
}
.info.legend {
  background: #f3f3f3;
  padding: 10px;
  border-radius: 10px;
  font-size: 16px;
}

.leaflet-popup{
  width: 220px;
}


